﻿using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.Text;

namespace PictureMetaTest
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.Write("Type path to a picture containing meta : ");
            string path = Console.ReadLine();
            Console.WriteLine("Analyse de l'image...");

            Image img = Image.FromFile(path);

            if (img.PropertyItems.Length > 0)
            {
                ASCIIEncoding e = new ASCIIEncoding();

                foreach (PropertyItem p in img.PropertyItems)
                {
                    switch (p.Type)
                    {
                        case 2:
                            Console.WriteLine("Meta {0} : {1}", p.Id, e.GetString(p.Value));
                            break;
                        default:
                            Console.WriteLine("Meta {0} : Type {1} non supporté.", p.Id, p.Type);
                            break;
                    }
                }
            }
            else
            {
                Console.WriteLine("Cette image n'a pas de méta...");
            }
            
            Console.WriteLine("Fin");
            Console.ReadKey(true);
        }
    }
}
