﻿using System;
using System.IO;
using System.Reflection;
using OCR.TesseractWrapper;

namespace TesseractTest
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.Write("Type path to a picture containing text : ");
            string path = Console.ReadLine();
            Console.WriteLine("Analyse de l'image...");
            TesseractProcessor p = new TesseractProcessor();
            if (p.Init(Path.GetDirectoryName(Assembly.GetAssembly(typeof(Program)).Location) + @"\fra.traineddata", "fra", (int)eOcrEngineMode.OEM_DEFAULT))
            {
                string result = p.Recognize(path);
                Console.WriteLine("Texte analysé :");
                Console.WriteLine(result);
            }
            else
            {
                Console.WriteLine("Erreur d'initialisation...");
            }
            Console.WriteLine("Fin");
            Console.ReadKey(true);
        }
    }
}
